# Develop
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    team: calamari
    system: education
    component: education-scraping-pipeline
    environment: develop
  name: education-scraping-pipeline-develop
  namespace: openshift-gitops
spec:
  destination:
    server: https://kubernetes.default.svc
    namespace: education-scraping-pipeline-develop
  project: revival
  source:
    path: kustomize/overlays/develop
    repoURL: git@gitlab.com:arbetsformedlingen/education/scraping-pipeline.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
